漏洞信息详情

TorrentTrader Classic 多个跨站脚本攻击漏洞

  • CNNVD编号:CNNVD-200906-351
  • 危害等级: 低危
  • CVE编号: CVE-2009-2156
  • 漏洞类型: 跨站脚本
  • 发布时间: 2009-06-22
  • 威胁类型: 远程
  • 更新时间: 2009-06-23
  • 厂        商: torrenttrader
  • 漏洞来源: Janek Vind come2w...

漏洞简介

TorrentTrader是用PHP编写的torrent tracker平台 。

TorrentTrader Classic 存在多个跨站脚本攻击漏洞,远程认证用户可以通过多个方法注入任意web脚本和HTML:

(1) 脚本requests.php域Title, 与viewrequests.php相关;

(2) 脚本torrents-upload.php域Torrent Name, 与torrent上传日志相关;

(3) 脚本themes/default/footer.php参数ttversion parameter;

(4) 脚本themes/default/header.php参数SITENAME;

(5) 脚本themes/default/header.php参数CURUSER[username];

(6) 脚本visitorstoday.php参数todayactive;

(7) 脚本visitorsnow.php参数activepeople;

(8) 脚本faq.php参数faq_categ[999][title];

(9) 脚本torrents-details.php参数keepget;

漏洞公告

目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://www.torrenttrader.org/index.php?

参考网址

来源: XF

名称: torrenttrader-multiplescripts-xss(51145)

链接:http://xforce.iss.net/xforce/xfdb/51145

来源: XF

名称: torrenttrader-viewrequests-xss(51144)

链接:http://xforce.iss.net/xforce/xfdb/51144

来源: MISC

链接:http://www.waraxe.us/advisory-74.html

来源: BID

名称: 35369

链接:http://www.securityfocus.com/bid/35369

来源: BUGTRAQ

名称: 20090615 [waraxe-2009-SA#074] - Multiple Vulnerabilities in TorrentTrader Classic 1.09

链接:http://www.securityfocus.com/archive/1/archive/1/504294/100/0/threaded

来源: MILW0RM

名称: 8958

链接:http://www.milw0rm.com/exploits/8958

来源: SECUNIA

名称: 35456

链接:http://secunia.com/advisories/35456

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多